<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html lang="en">

<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <title>LCOV - report.info - /home/mila/Desktop/ProjekatRS/08-mainant/headers/mainwindow.h</title>
  <link rel="stylesheet" type="text/css" href="../../../../../../gcov.css">
</head>

<body>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="title">LCOV - code coverage report</td></tr>
    <tr><td class="ruler"><img src="../../../../../../glass.png" width=3 height=3 alt=""></td></tr>

    <tr>
      <td width="100%">
        <table cellpadding=1 border=0 width="100%">
          <tr>
            <td width="10%" class="headerItem">Current view:</td>
            <td width="35%" class="headerValue"><a href="../../../../../../index.html">top level</a> - <a href="index.html">home/mila/Desktop/ProjekatRS/08-mainant/headers</a> - mainwindow.h<span style="font-size: 80%;"> (source / <a href="mainwindow.h.func-sort-c.html">functions</a>)</span></td>
            <td width="5%"></td>
            <td width="15%"></td>
            <td width="10%" class="headerCovTableHead">Hit</td>
            <td width="10%" class="headerCovTableHead">Total</td>
            <td width="15%" class="headerCovTableHead">Coverage</td>
          </tr>
          <tr>
            <td class="headerItem">Test:</td>
            <td class="headerValue">report.info</td>
            <td></td>
            <td class="headerItem">Lines:</td>
            <td class="headerCovTableEntry">1</td>
            <td class="headerCovTableEntry">1</td>
            <td class="headerCovTableEntryHi">100.0 %</td>
          </tr>
          <tr>
            <td class="headerItem">Date:</td>
            <td class="headerValue">2021-03-29 02:25:54</td>
            <td></td>
            <td class="headerItem">Functions:</td>
            <td class="headerCovTableEntry">1</td>
            <td class="headerCovTableEntry">1</td>
            <td class="headerCovTableEntryHi">100.0 %</td>
          </tr>
          <tr><td><img src="../../../../../../glass.png" width=3 height=3 alt=""></td></tr>
        </table>
      </td>
    </tr>

    <tr><td class="ruler"><img src="../../../../../../glass.png" width=3 height=3 alt=""></td></tr>
  </table>

  <table cellpadding=0 cellspacing=0 border=0>
    <tr>
      <td><br></td>
    </tr>
    <tr>
      <td>
<pre class="sourceHeading">          Line data    Source code</pre>
<pre class="source">
<a name="1"><span class="lineNum">       1 </span>            : #ifndef MAINWINDOW_H</a>
<a name="2"><span class="lineNum">       2 </span>            : #define MAINWINDOW_H</a>
<a name="3"><span class="lineNum">       3 </span>            : </a>
<a name="4"><span class="lineNum">       4 </span>            : #include &lt;QApplication&gt;</a>
<a name="5"><span class="lineNum">       5 </span>            : #include &lt;QDebug&gt;</a>
<a name="6"><span class="lineNum">       6 </span>            : #include &lt;QDir&gt;</a>
<a name="7"><span class="lineNum">       7 </span>            : #include &lt;QFileDialog&gt;</a>
<a name="8"><span class="lineNum">       8 </span>            : #include &lt;QFormLayout&gt;</a>
<a name="9"><span class="lineNum">       9 </span>            : #include &lt;QList&gt;</a>
<a name="10"><span class="lineNum">      10 </span>            : #include &lt;QMainWindow&gt;</a>
<a name="11"><span class="lineNum">      11 </span>            : #include &lt;QMessageBox&gt;</a>
<a name="12"><span class="lineNum">      12 </span>            : #include &lt;QPoint&gt;</a>
<a name="13"><span class="lineNum">      13 </span>            : #include &lt;QProcess&gt;</a>
<a name="14"><span class="lineNum">      14 </span>            : #include &lt;QSettings&gt;</a>
<a name="15"><span class="lineNum">      15 </span>            : #include &lt;QtCore&gt;</a>
<a name="16"><span class="lineNum">      16 </span>            : #include &lt;QtGui&gt;</a>
<a name="17"><span class="lineNum">      17 </span>            : #include &lt;fstream&gt;</a>
<a name="18"><span class="lineNum">      18 </span>            : #include &lt;iostream&gt;</a>
<a name="19"><span class="lineNum">      19 </span>            : #include &lt;string&gt;</a>
<a name="20"><span class="lineNum">      20 </span>            : </a>
<a name="21"><span class="lineNum">      21 </span>            : #include &quot;./headers/ReallyBigFunctionsThatYouDontNeedToSee.h&quot;</a>
<a name="22"><span class="lineNum">      22 </span>            : </a>
<a name="23"><span class="lineNum">      23 </span>            : #include &quot;./headers/ClassWindow.h&quot;</a>
<a name="24"><span class="lineNum">      24 </span>            : #include &quot;./headers/CustomGraphicsView.h&quot;</a>
<a name="25"><span class="lineNum">      25 </span>            : #include &quot;./headers/CustomLayout.h&quot;</a>
<a name="26"><span class="lineNum">      26 </span>            : #include &quot;./headers/FunctionWindow.h&quot;</a>
<a name="27"><span class="lineNum">      27 </span>            : #include &quot;./headers/Node.h&quot;</a>
<a name="28"><span class="lineNum">      28 </span>            : #include &quot;./headers/Parser.h&quot;</a>
<a name="29"><span class="lineNum">      29 </span>            : #include &quot;./headers/SearchBar.h&quot;</a>
<a name="30"><span class="lineNum">      30 </span>            : </a>
<a name="31"><span class="lineNum">      31 </span>            : QT_BEGIN_NAMESPACE</a>
<a name="32"><span class="lineNum">      32 </span>            : namespace Ui {</a>
<a name="33"><span class="lineNum">      33 </span>            : class MainWindow;</a>
<a name="34"><span class="lineNum">      34 </span>            : }</a>
<a name="35"><span class="lineNum">      35 </span>            : QT_END_NAMESPACE</a>
<a name="36"><span class="lineNum">      36 </span>            : </a>
<a name="37"><span class="lineNum">      37 </span>            : class MainWindow : public QMainWindow {</a>
<a name="38"><span class="lineNum">      38 </span><span class="lineCov">         46 :   Q_OBJECT</span></a>
<a name="39"><span class="lineNum">      39 </span>            : private:</a>
<a name="40"><span class="lineNum">      40 </span>            :   Ui::MainWindow *ui;</a>
<a name="41"><span class="lineNum">      41 </span>            :   Parser *p;</a>
<a name="42"><span class="lineNum">      42 </span>            :   int funcId;</a>
<a name="43"><span class="lineNum">      43 </span>            :   int classId;</a>
<a name="44"><span class="lineNum">      44 </span>            :   QVector&lt;ClassInstanceNode *&gt; classInstances;</a>
<a name="45"><span class="lineNum">      45 </span>            : </a>
<a name="46"><span class="lineNum">      46 </span>            : private:</a>
<a name="47"><span class="lineNum">      47 </span>            :   QString makeStringForFunction(QString met, QString ClassName);</a>
<a name="48"><span class="lineNum">      48 </span>            : </a>
<a name="49"><span class="lineNum">      49 </span>            : public:</a>
<a name="50"><span class="lineNum">      50 </span>            :   QVector&lt;QString&gt; _classInicializedList;</a>
<a name="51"><span class="lineNum">      51 </span>            :   QVector&lt;QString&gt; _classInicializedListIds;</a>
<a name="52"><span class="lineNum">      52 </span>            :   QVector&lt;QListWidgetItem&gt; _functionList;</a>
<a name="53"><span class="lineNum">      53 </span>            :   QVector&lt;QListWidgetItem *&gt; _inicializedVars;</a>
<a name="54"><span class="lineNum">      54 </span>            :   QVector&lt;QString&gt; _inicializedVarsIds;</a>
<a name="55"><span class="lineNum">      55 </span>            :   Ui::MainWindow *getUi();</a>
<a name="56"><span class="lineNum">      56 </span>            :   Parser *getParser();</a>
<a name="57"><span class="lineNum">      57 </span>            :   int getFuncId();</a>
<a name="58"><span class="lineNum">      58 </span>            :   int getClassId();</a>
<a name="59"><span class="lineNum">      59 </span>            :   MainWindow(QWidget *parent = nullptr);</a>
<a name="60"><span class="lineNum">      60 </span>            :   ~MainWindow();</a>
<a name="61"><span class="lineNum">      61 </span>            : </a>
<a name="62"><span class="lineNum">      62 </span>            : public slots:</a>
<a name="63"><span class="lineNum">      63 </span>            :   void putClassInstance(QListWidgetItem *item);</a>
<a name="64"><span class="lineNum">      64 </span>            :   void putFunction(QListWidgetItem *item);</a>
<a name="65"><span class="lineNum">      65 </span>            :   void putVar(QListWidgetItem *item);</a>
<a name="66"><span class="lineNum">      66 </span>            :   void putReference(QListWidgetItem *item);</a>
<a name="67"><span class="lineNum">      67 </span>            :   void functionAdded(QString FunctionName);</a>
<a name="68"><span class="lineNum">      68 </span>            :   void onPutNode(QListWidgetItem *item);</a>
<a name="69"><span class="lineNum">      69 </span>            :   void onDeletedReferencedNode(QString name);</a>
<a name="70"><span class="lineNum">      70 </span>            :   void onDeletedStartNode(Node *start);</a>
<a name="71"><span class="lineNum">      71 </span>            :   void onVarNameEntered();</a>
<a name="72"><span class="lineNum">      72 </span>            :   void addVisibleInstances();</a>
<a name="73"><span class="lineNum">      73 </span>            :   void classAdded(QString ClassName, QVector&lt;QString&gt; publicMethods,</a>
<a name="74"><span class="lineNum">      74 </span>            :                   QVector&lt;QString&gt; privateMethods,</a>
<a name="75"><span class="lineNum">      75 </span>            :                   QVector&lt;QString&gt; protectedMethods, QVector&lt;QString&gt; publicAtr,</a>
<a name="76"><span class="lineNum">      76 </span>            :                   QVector&lt;QString&gt; priavteAtr, QVector&lt;QString&gt; protectedAtr,</a>
<a name="77"><span class="lineNum">      77 </span>            :                   QVector&lt;QString&gt; constructors);</a>
<a name="78"><span class="lineNum">      78 </span>            : </a>
<a name="79"><span class="lineNum">      79 </span>            : private slots:</a>
<a name="80"><span class="lineNum">      80 </span>            :   void on_actionQuit_triggered();</a>
<a name="81"><span class="lineNum">      81 </span>            :   void on_actionRun_triggered();</a>
<a name="82"><span class="lineNum">      82 </span>            :   void on_actionRestart_triggered();</a>
<a name="83"><span class="lineNum">      83 </span>            :   void on_actionOpen_Code_triggered();</a>
<a name="84"><span class="lineNum">      84 </span>            :   void filterFunctions();</a>
<a name="85"><span class="lineNum">      85 </span>            :   void on_AddFunction_clicked();</a>
<a name="86"><span class="lineNum">      86 </span>            :   void on_AddClass_clicked();</a>
<a name="87"><span class="lineNum">      87 </span>            :   void on_actionCompile_triggered();</a>
<a name="88"><span class="lineNum">      88 </span>            :   void classAdded(QString ClassName, QString Methods, QString Variables);</a>
<a name="89"><span class="lineNum">      89 </span>            :   void on_actionFormat_Code_triggered();</a>
<a name="90"><span class="lineNum">      90 </span>            :   void onReadVariablesNames();</a>
<a name="91"><span class="lineNum">      91 </span>            : };</a>
<a name="92"><span class="lineNum">      92 </span>            : #endif // MAINWINDOW_H</a>
</pre>
      </td>
    </tr>
  </table>
  <br>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="ruler"><img src="../../../../../../glass.png" width=3 height=3 alt=""></td></tr>
    <tr><td class="versionInfo">Generated by: <a href="http://ltp.sourceforge.net/coverage/lcov.php" target="_parent">LCOV version 1.14</a></td></tr>
  </table>
  <br>

</body>
</html>
